public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/pgpool2/
Date: Wed, 22 Feb 2017 17:11:07 +0000 (UTC)	[thread overview]
Message-ID: <1487783463.7e38ca2d931be0773c3de0852b9d1c074881e860.patrick@gentoo> (raw)

commit:     7e38ca2d931be0773c3de0852b9d1c074881e860
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 22 17:10:50 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Wed Feb 22 17:11:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e38ca2d

dev-db/pgpool2: Bump

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-db/pgpool2/Manifest             |   2 +
 dev-db/pgpool2/pgpool2-3.5.5.ebuild | 102 ++++++++++++++++++++++++++++++++++++
 dev-db/pgpool2/pgpool2-3.6.1.ebuild | 100 +++++++++++++++++++++++++++++++++++
 3 files changed, 204 insertions(+)

diff --git a/dev-db/pgpool2/Manifest b/dev-db/pgpool2/Manifest
index 7e86096c6c..f3281d182e 100644
--- a/dev-db/pgpool2/Manifest
+++ b/dev-db/pgpool2/Manifest
@@ -1 +1,3 @@
 DIST pgpool-II-3.5.2.tar.gz 2227075 SHA256 5d29fd9c30141bfdaf15b51c7878766178e5df42fa5e160d0f7df2824d26104f SHA512 dd7268bce0019de30dfad01a8600af798127a4c2cc818e6f85ba30289e97c253d6faa392734d85ccbc97be3f04458c12af1bba541e5b8f3d2ee8268432e01d1a WHIRLPOOL 22939c855919b8399c1129ff4622eae159141e9bf05cc36aca456bfd582c7ab0dc7ec87df5ea96d7101f438e89bf4e06f46a5f63cfde22e505d0a3965c0496fc
+DIST pgpool-II-3.5.5.tar.gz 2243184 SHA256 8fa1ccf13ff4f7c1ab0f6d523090444f65d78923de11061b5027eb5d58318491 SHA512 f77888cbc5e2c15ae1035ee3a1965d4fd3d02cdfd5810c6c656456eaa0d73dae7471906bdf0848607723633da5b8d02145559b767735bcc9b7e4023b1d59efed WHIRLPOOL 5f4d4d9c3f6478b9b3ecda311c571e1f54805a07aa505acd32fbfb8fb2790183b732d6f86843a2b6614c74565efad7f9b3d962281cd2b1d23b54515448a1c84a
+DIST pgpool-II-3.6.1.tar.gz 2539510 SHA256 244f99a70198b5861a63b2fe3e44ac39d2819f6aa6497f62958c6afa2750d94c SHA512 9d4f0ecec3cf7478c7c4cd5cb1aa75614edca204d11b145f145d752c24bed7f7f4ea2880f6a3f9833aee0b5f428e8cf36e2f91bdef2f6065fb98019df546469a WHIRLPOOL 9a307a63e9179ecfc7a52d1f056d47f09543bf4e378fa0090cdaf90d141c70e89323b4cfcbc9bbd9fa2422ff76bea592f189bea78915445fb1779ce9089ef6e1

diff --git a/dev-db/pgpool2/pgpool2-3.5.5.ebuild b/dev-db/pgpool2/pgpool2-3.5.5.ebuild
new file mode 100644
index 0000000000..7ffba2e64d
--- /dev/null
+++ b/dev-db/pgpool2/pgpool2-3.5.5.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_P="${PN/2/-II}-${PV}"
+
+inherit eutils user
+
+DESCRIPTION="Connection pool server for PostgreSQL"
+HOMEPAGE="http://www.pgpool.net/"
+SRC_URI="http://www.pgpool.net/download.php?f=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc memcached pam ssl static-libs"
+
+RDEPEND="
+	dev-db/postgresql:=
+	memcached? ( dev-libs/libmemcached )
+	pam? ( sys-auth/pambase )
+	ssl? ( dev-libs/openssl:= )
+"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	!!dev-db/pgpool
+"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+	enewgroup postgres 70
+	enewuser pgpool -1 -1 -1 postgres
+
+	# We need the postgres user as well so we can set the proper
+	# permissions on the sockets without getting into fights with
+	# PostgreSQL's initialization scripts.
+	enewuser postgres 70 /bin/bash /var/lib/postgresql postgres
+}
+
+src_prepare() {
+	epatch "${FILESDIR}/pgpool2-3.5.0-path-fix.patch"
+
+	local pg_config_manual="$(pg_config --includedir)/pg_config_manual.h"
+	local pgsql_socket_dir=$(grep DEFAULT_PGSOCKET_DIR "${pg_config_manual}" | \
+		sed 's|.*\"\(.*\)\"|\1|g')
+	local pgpool_socket_dir="$(dirname $pgsql_socket_dir)/pgpool"
+
+	sed "s|@PGSQL_SOCKETDIR@|${pgsql_socket_dir}|g" \
+		-i src/sample/pgpool.conf.sample* src/include/pool.h || die
+
+	sed "s|@PGPOOL_SOCKETDIR@|${pgpool_socket_dir}|g" \
+		-i src/sample/pgpool.conf.sample* src/include/pool.h || die
+}
+
+src_configure() {
+	local myconf
+	use memcached && \
+		myconf="--with-memcached=\"${EROOT%/}/usr/include/libmemcached\""
+	use pam && myconf+=' --with-pam'
+
+	econf \
+		--disable-rpath \
+		--sysconfdir="${EROOT%/}/etc/${PN}" \
+		$(use_with ssl openssl) \
+		$(use_enable static-libs static) \
+		${myconf}
+}
+
+src_compile() {
+	emake
+
+	emake -C src/sql
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	emake DESTDIR="${D}" -C src/sql install
+
+	newinitd "${FILESDIR}/${PN}.initd" ${PN}
+	newconfd "${FILESDIR}/${PN}.confd" ${PN}
+
+	# Documentation
+	dodoc NEWS TODO
+	use doc && dohtml -r doc/*
+
+	# Examples and extras
+	# mv some files that get installed to /usr/share/pgpool-II so that
+	# they all wind up in the same place
+	mv "${ED%/}/usr/share/${PN/2/-II}" "${ED%/}/usr/share/${PN}" || die
+	into "/usr/share/${PN}"
+	dobin doc/{pgpool_remote_start,basebackup.sh}
+	insinto "/usr/share/${PN}"
+	doins doc/recovery.conf.sample
+
+	# One more thing: Evil la files!
+	find "${ED}" -name '*.la' -exec rm -f {} +
+}

diff --git a/dev-db/pgpool2/pgpool2-3.6.1.ebuild b/dev-db/pgpool2/pgpool2-3.6.1.ebuild
new file mode 100644
index 0000000000..571aea1bb9
--- /dev/null
+++ b/dev-db/pgpool2/pgpool2-3.6.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_P="${PN/2/-II}-${PV}"
+
+inherit eutils user
+
+DESCRIPTION="Connection pool server for PostgreSQL"
+HOMEPAGE="http://www.pgpool.net/"
+SRC_URI="http://www.pgpool.net/download.php?f=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc memcached pam ssl static-libs"
+
+RDEPEND="
+	dev-db/postgresql:=
+	memcached? ( dev-libs/libmemcached )
+	pam? ( sys-auth/pambase )
+	ssl? ( dev-libs/openssl:= )
+"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	!!dev-db/pgpool
+"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+	enewgroup postgres 70
+	enewuser pgpool -1 -1 -1 postgres
+
+	# We need the postgres user as well so we can set the proper
+	# permissions on the sockets without getting into fights with
+	# PostgreSQL's initialization scripts.
+	enewuser postgres 70 /bin/bash /var/lib/postgresql postgres
+}
+
+src_prepare() {
+	epatch "${FILESDIR}/pgpool2-3.5.0-path-fix.patch"
+
+	local pg_config_manual="$(pg_config --includedir)/pg_config_manual.h"
+	local pgsql_socket_dir=$(grep DEFAULT_PGSOCKET_DIR "${pg_config_manual}" | \
+		sed 's|.*\"\(.*\)\"|\1|g')
+	local pgpool_socket_dir="$(dirname $pgsql_socket_dir)/pgpool"
+
+	sed "s|@PGSQL_SOCKETDIR@|${pgsql_socket_dir}|g" \
+		-i src/sample/pgpool.conf.sample* src/include/pool.h || die
+
+	sed "s|@PGPOOL_SOCKETDIR@|${pgpool_socket_dir}|g" \
+		-i src/sample/pgpool.conf.sample* src/include/pool.h || die
+}
+
+src_configure() {
+	local myconf
+	use memcached && \
+		myconf="--with-memcached=\"${EROOT%/}/usr/include/libmemcached\""
+	use pam && myconf+=' --with-pam'
+
+	econf \
+		--disable-rpath \
+		--sysconfdir="${EROOT%/}/etc/${PN}" \
+		$(use_with ssl openssl) \
+		$(use_enable static-libs static) \
+		${myconf}
+}
+
+src_compile() {
+	emake
+
+	emake -C src/sql
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	emake DESTDIR="${D}" -C src/sql install
+
+	newinitd "${FILESDIR}/${PN}.initd" ${PN}
+	newconfd "${FILESDIR}/${PN}.confd" ${PN}
+
+	# Documentation
+	dodoc NEWS TODO
+	use doc && dohtml -r doc/*
+
+	# Examples and extras
+	# mv some files that get installed to /usr/share/pgpool-II so that
+	# they all wind up in the same place
+	mv "${ED%/}/usr/share/${PN/2/-II}" "${ED%/}/usr/share/${PN}" || die
+	into "/usr/share/${PN}"
+	dobin src/sample/pgpool_remote_start
+
+	# One more thing: Evil la files!
+	find "${ED}" -name '*.la' -exec rm -f {} +
+}


             reply	other threads:[~2017-02-22 17:11 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-22 17:11 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-20  4:31 [gentoo-commits] repo/gentoo:master commit in: dev-db/pgpool2/ Patrick Lauer
2024-05-09 23:48 Sam James
2024-03-11 14:24 Sam James
2023-12-18  7:45 罗百科
2023-10-05  9:37 罗百科
2023-10-05  9:37 罗百科
2022-10-20 10:56 Jakov Smolić
2022-10-20 10:52 Jakov Smolić
2022-06-14 10:35 罗百科
2022-03-15 15:44 Conrad Kostecki
2021-08-22 21:53 David Seifert
2021-08-22 21:53 David Seifert
2021-07-10 18:54 Sam James
2021-05-02 20:15 Mikle Kolyada
2021-03-03 12:53 Aaron W. Swenson
2021-02-17 20:52 Sam James
2021-02-16 19:22 Sam James
2020-12-27 12:37 Aaron W. Swenson
2020-08-14  0:49 Aaron W. Swenson
2019-08-02 11:38 Mikle Kolyada
2019-07-08 12:10 Thomas Deutschmann
2019-06-15 10:58 Aaron W. Swenson
2019-05-23 10:08 Aaron W. Swenson
2019-05-13 10:37 Aaron W. Swenson
2019-05-13  0:38 Thomas Deutschmann
2019-04-08 15:41 Mikle Kolyada
2019-03-07 16:39 Aaron W. Swenson
2019-02-10 11:57 Aaron W. Swenson
2019-02-08  7:45 Mikle Kolyada
2019-01-24 22:22 Thomas Deutschmann
2019-01-07 17:00 Lars Wendler
2018-11-28 11:26 Aaron W. Swenson
2018-11-17 23:23 Thomas Deutschmann
2018-09-15 17:08 Mikle Kolyada
2018-09-10 21:21 Thomas Deutschmann
2018-08-03 13:36 Aaron Swenson
2018-05-13 16:56 Aaron Swenson
2018-05-13 16:56 Aaron Swenson
2018-04-27 20:59 Aaron Swenson
2018-01-12 21:35 Aaron Swenson
2018-01-08  0:16 Mikle Kolyada
2017-12-26  0:59 Thomas Deutschmann
2017-12-01 10:57 Aaron Swenson
2017-11-09  0:27 Aaron Swenson
2017-11-03 20:44 Andreas Hüttel
2017-09-18 18:50 Patrick Lauer
2016-06-07 11:07 Aaron Swenson
2016-02-28 20:18 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1487783463.7e38ca2d931be0773c3de0852b9d1c074881e860.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox